Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 451548

Summary: Error message (crash) on updating
Product: [Fedora] Fedora Reporter: Horst H. von Brand <vonbrand>
Component: PackageKitAssignee: Robin Norwood <robin.norwood>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: lmacken, rhughes, richard
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-08-18 09:05:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Horst H. von Brand 2008-06-15 16:18:26 UTC
Description of problem:
Clicking on the PackageKit icon and asking it to update a message show up

Version-Release number of selected component (if applicable):
PackageKit-0.2.3-3.20080611.fc10.i386

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:

Error Type: <type 'exceptions.AttributeError'>
Error Value: PackageKitYumBackend instance has no attribute '__len__'
  File : /usr/share/PackageKit/helpers/yum/update-system.py , line 18, in <module>
    backend.update_system()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py , line 826, in
update_system
    self._runYumTransaction()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py , line 1102, in
_runYumTransaction
    self.error(ERROR_DEP_RESOLUTION_FAILED,self._format_msgs(msgs))
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py , line 1087, in
_format_msgs
    text = self._truncate(text, 1024)

  File : /usr/share/PackageKit/helpers/yum/yumBackend.py , line 1078, in _truncate
    if len(text) < length:

Expected results:


Additional info:

Comment 1 Robin Norwood 2008-06-16 14:55:09 UTC
Thanks for the report.

I've fixed this in git, should be available in the next release.